diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_message.c ircd-hybrid-6.0/src/m_message.c
--- ircd-hybrid-6.0.orig/src/m_message.c	Sun Jun 24 11:17:24 2001
+++ ircd-hybrid-6.0/src/m_message.c	Sat Jun 23 19:57:30 2001
@@ -200,7 +200,7 @@
 #endif /* DEATHFLUD */
 #endif /* FLUD */
 
-#ifndef NOCOLOUR_MODE
+#ifdef NOCOLOUR_MODE
       /* 
        * Channel color blocking. Usually set with the +c chanmode.
        * - Andre Guibert de Bruet <webdev@cheetah.properkernel.com>
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_whois.c ircd-hybrid-6.0/src/m_whois.c
--- ircd-hybrid-6.0.orig/src/m_whois.c	Sun Jun 24 11:17:24 2001
+++ ircd-hybrid-6.0/src/m_whois.c	Sat Jun 23 17:52:03 2001
@@ -319,7 +319,7 @@
 	    ClearBit(umodes, UMODE_OPER);
 	    if (AnyBits(umodes) && (SeesOperPrivs(sptr) || acptr == sptr))
 	      sendto_one(sptr, form_str(RPL_WHOISOPER_PRIVS),
-			 me.name, parv[0], name, oper_flags_as_string(acptr->umodes));
+			 me.name, parv[0], name, oper_flags_as_string(umodes));
 	  }
 
           if (IsIdentifiedNick(acptr))
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/s_conf.c ircd-hybrid-6.0/src/s_conf.c
--- ircd-hybrid-6.0.orig/src/s_conf.c	Sun Jun 24 11:17:24 2001
+++ ircd-hybrid-6.0/src/s_conf.c	Sat Jun 23 20:00:45 2001
@@ -326,7 +326,7 @@
                          user, host, name,
                          oper_flags_as_string(tmp->allowed_umodes),
                          get_conf_class(tmp),
-                         oper_flags_as_string(tmp->default_umodes));
+                         ""); /* can't make two calls to oper_flags_as_string in one statement, it's a static buffer */
             else
               sendto_one(sptr, form_str(p->rpl_stats), me.name,
                          sptr->name,
